Skip to main content
PUT
/
users
/
{id}
/
role
cURL
curl --request PUT \
  --url https://api.axiom.co/v2/users/{id}/role \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "admin"
}
'
import requests

url = "https://api.axiom.co/v2/users/{id}/role"

payload = { "role": "admin" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'admin'})
};

fetch('https://api.axiom.co/v2/users/{id}/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "john.doe@example.com",
  "id": "usr_123456789",
  "name": "John Doe",
  "role": {
    "id": "role_123456789",
    "name": "Organization Admin"
  }
}

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

id
string
required

Body

application/json

Object representing a user's role update request

role
string
required

Role identifier to assign to the user

Example:

"admin"

Response

200 - application/json

User

Represents a user in the system

email
string
required

User's email address

Example:

"john.doe@example.com"

id
string
required

Unique identifier for the user

Example:

"usr_123456789"

name
string
required

User's full name

Example:

"John Doe"

role
object
required

Detailed information about a user's role